Package owl.ltl

## Class Literal

- java.lang.Object
- - owl.ltl.Formula
  - - owl.ltl.Formula.TemporalOperator
    - - owl.ltl.Literal

- All Implemented Interfaces:
    `Comparable<Formula>`

      public final class Literal
      extends Formula.TemporalOperator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class owl.ltl.Formula

      `Formula.LogicalOperator, Formula.ModalOperator, Formula.TemporalOperator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A,​B> A` | `accept​(BinaryVisitor<B,​A> v, B parameter)` |
    `int` | `accept​(IntVisitor v)` |
    `<R> R` | `accept​(Visitor<R> v)` |
    `Set<Formula>` | `children()` |
    `protected int` | `compareToImpl​(Formula o)` |
    `protected boolean` | `equalsImpl​(Formula o)` |
    `int` | `getAtom()` |
    `boolean` | `isNegated()` |
    `boolean` | `isPureEventual()` |
    `boolean` | `isPureUniversal()` |
    `Formula` | `nnf()` |
    `Literal` | `not()` | Syntactically negate this formula.
    `static Literal` | `of​(int index)` |
    `static Literal` | `of​(int index, boolean negate)` |
    `String` | `toString()` |
    `Formula` | `unfold()` |
    `Formula` | `unfoldTemporalStep​(BitSet valuation)` | Short-cut operation to avoid intermediate construction of formula ASTs.

    - ### Methods inherited from class owl.ltl.Formula.TemporalOperator

      `substitute, temporalStep, temporalStep, temporalStep, temporalStepUnfold`

    - ### Methods inherited from class owl.ltl.Formula

      `allMatch, anyMatch, atomicPropositions, compareTo, equals, hashCode, height, isSuspendable, subformulas, subformulas, subformulas`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static Literal of​(@Nonnegative
                                   int index)

    - #### of

          public static Literal of​(@Nonnegative
                                   int index,
                                   boolean negate)

    - #### accept

          public int accept​(IntVisitor v)

      Specified by:
        `accept` in class `Formula`

    - #### accept

          public <R> R accept​(Visitor<R> v)

      Specified by:
        `accept` in class `Formula`

    - #### accept

          public <A,​B> A accept​(BinaryVisitor<B,​A> v,
                                      B parameter)

      Specified by:
        `accept` in class `Formula`

    - #### children

          public Set<Formula> children()

      Specified by:
        `children` in class `Formula`

    - #### getAtom

          public int getAtom()

    - #### isNegated

          public boolean isNegated()

    - #### isPureEventual

          public boolean isPureEventual()

      Specified by:
        `isPureEventual` in class `Formula`

    - #### isPureUniversal

          public boolean isPureUniversal()

      Specified by:
        `isPureUniversal` in class `Formula`

    - #### nnf

          public Formula nnf()

      Specified by:
        `nnf` in class `Formula`

    - #### not

          public Literal not()

      Description copied from class: `Formula`
      Syntactically negate this formula.

      If this formula is in NNF, the returned negation will also be in NNF.

      Specified by:
        `not` in class `Formula`
      Returns:
        the negation of this formula.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### unfold

          public Formula unfold()

      Specified by:
        `unfold` in class `Formula`

    - #### unfoldTemporalStep

          public Formula unfoldTemporalStep​(BitSet valuation)

      Description copied from class: `Formula`
      Short-cut operation to avoid intermediate construction of formula ASTs.
      Specified by:
        `unfoldTemporalStep` in class `Formula`

    - #### compareToImpl

          protected int compareToImpl​(Formula o)

      Specified by:
        `compareToImpl` in class `Formula`

    - #### equalsImpl

          protected boolean equalsImpl​(Formula o)

      Specified by:
        `equalsImpl` in class `Formula`